#ifndef MYDATATEST_H
#define MYDATATEST_H

#pragma once
#include <qul/object.h>
#include <qul/property.h>
#include <qul/signal.h>
#include <qul/timer.h>
#include <stdio.h>


struct MyDataTest : public Qul::Object
{
public:
    static MyDataTest &instance();
    void init();
    void testData();
    Qul::Signal<void()> getData;


    struct Functor {
        void operator()() {
            printf("lzy.............triggered\n");
        }
    };

    Qul::Timer timer;

};
#endif // MYDATATEST_H
